Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.inspector.util.editors
Class SwingBorderEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
                  |
                  +--com.togethersoft.openapi.ide.inspector.util.editors.SwingBorderEditor

public class SwingBorderEditor
extends SwingEditorSupport

Author:
  TogetherSoft

Fields inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`MEDIUM_DIMENSION, panel, SMALL_DIMENSION`

Constructor Summary
`SwingBorderEditor()`

Method Summary
`void` | `editorChangeValue(Object obj)`
`void` | `setValue(Object obj)`

Methods inherited from class com.togethersoft.openapi.ide.inspector.util.editors.SwingEditorSupport
`addCellEditorListener, fireEditingCanceled, fireEditingStopped, getCustomEditor, init, removeCellEditorListener, setAlignment, supportsCustomEditor`

Methods inherited from class java.beans.PropertyEditorSupport
`getValue, isPaintable, paintValue, getJavaInitializationString, getAsText, setAsText, getTags, addPropertyChangeListener, removePropertyChangeListener, firePropertyChange`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, toString, notify, notifyAll, wait, wait, wait, finalize`

Constructor Detail

### SwingBorderEditor

    public SwingBorderEditor()

Method Detail

### editorChangeValue

    public void editorChangeValue(Object obj)

### setValue

    public void setValue(Object obj)

Association Links

to Class javax.swing.JComboBox

to Class javax.swing.JButton

to Class com.togethersoft.openapi.ide.inspector.util.editors.SwingBorderEditor.BorderDialog

to Class javax.swing.border.Border

to Class javax.swing.border.Border

to Class javax.swing.border.Border

to Class javax.swing.border.Border

to Class javax.swing.border.Border

to Class javax.swing.border.Border

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD